Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GJavaComponent

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GNode
              SEdit.Graphics.GJavaComponent

Direct Known Subclasses:
  GInternalFrame

    public class GJavaComponent

extends GNode

CLASS GJavaComponent

Field Summary
`static int` | `DEFAULT_HEIGHT`
`static int` | `DEFAULT_WIDTH`
`protected java.lang.String` | `javaComponentClass`

Fields inherited from class SEdit.Graphics.GNode
`HANDLE_SIZE, resizable, selectedHandle`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GJavaComponent()`

Method Summary
`void` | `delete()`
`void` | `doDrag(int dx, int dy)`
`javax.swing.JComponent` | `getComponent()`
`java.lang.String` | `getJavaComponentClass()` Get the JavaComponentClass name which has to be instantiated
`void` | `init()` Creates the JavaComponent from the JavaComponentClass
`void` | `paint(java.awt.Graphics g)`
`void` | `setCenter(int _x, int _y)`
`void` | `setJavaComponentClass(java.lang.String s)` set the JavaComponentClass name which has to be instantiated
`void` | `translate(int dx, int dy)`

Methods inherited from class SEdit.Graphics.GNode
`contains, displayHandles, doReSelect, getResizable, getSelectedHandle, intersection, isContainedIn, select, setResizable`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, displayName, drag, getBounds, getCenter, getDimension, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, intersection, isContainedIn, isSelectable, isSelected, reInstall, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, snapToGrid, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_WIDTH

    public static int DEFAULT_WIDTH

### DEFAULT_HEIGHT

    public static int DEFAULT_HEIGHT

### javaComponentClass

    protected java.lang.String javaComponentClass

Constructor Detail

### GJavaComponent

    public GJavaComponent()

Method Detail

### getComponent

    public javax.swing.JComponent getComponent()

### delete

    public void delete()

  Overrides:
    `delete` in class `GObject`

### translate

    public void translate(int dx,
                          int dy)

  Overrides:
    `translate` in class `GObject`

### setJavaComponentClass

    public void setJavaComponentClass(java.lang.String s)

  set the JavaComponentClass name which has to be instantiated

### getJavaComponentClass

    public java.lang.String getJavaComponentClass()

  Get the JavaComponentClass name which has to be instantiated

### init

    public void init()

  Creates the JavaComponent from the JavaComponentClass

  Overrides:
    `init` in class `GObject`

### setCenter

    public void setCenter(int _x,
                          int _y)

  Overrides:
    `setCenter` in class `GObject`

### doDrag

    public void doDrag(int dx,
                       int dy)

  Overrides:
    `doDrag` in class `GNode`

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.